[FFmpeg-devel] [PATCH] add ENOENT support

Alex Beregszaszi alex
Sat May 12 17:33:43 CEST 2007


> > AVERROR_* are *deprecated*.
> > They are only kept for compatibility with apps.
> > There is no reason to not use POSIX error codes directly with the 
> > AV[UN]ERROR() macros, that's what they are for. The libraries already 
> > returns more errors than the listed ones.
> > If you want to print an error just use strerror(AVUNERROR(e)).
> all true, but why are there still AVERROR_* in the source then (not counting
> the compatibility stuff in the header of course)?
> having AVERROR_* in some code and POSIX errors in other is not good it leads
> to people writing such patches with noone realizing that its wrong ...

Which is preferred? There are much more occurances of AVERROR_* than

Alex Beregszaszi

More information about the ffmpeg-devel mailing list